package com.njcn.device.pq.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.device.pq.pojo.param.PqSubstationExpendParam;
import com.njcn.device.pq.pojo.po.PqSubstationExpend;
import com.njcn.device.pq.pojo.vo.PqSubstationExpendVO;

import java.util.List;

public interface PqSubstationExpendService extends IService<PqSubstationExpend> {

    Page<PqSubstationExpendVO> pageJoin(IPage<PqSubstationExpendVO> page, PqSubstationExpendParam param);

    PqSubstationExpendVO getByIdVO(String id);

    List<PqSubstationExpendVO> listVO();

    Boolean save(PqSubstationExpendParam param);
}